"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkix import Chem
from rdkix import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-aarch64-cpython-311/rdkix_install/share/RDKix/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d276a0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d277e0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27740>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27880>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27920>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d279c0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27a60>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27b00>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27ba0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27c40>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27ce0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27d80>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27e20>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27ec0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d27f60>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80040>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d800e0>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80180>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80220>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d802c0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80360>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80400>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d804a0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80540>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d805e0>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80680>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80720>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d807c0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80860>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80900>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d809a0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80a40>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80ae0>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80b80>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80c20>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80cc0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80d60>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80e00>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80ea0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80f40>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d80fe0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81080>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81120>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d811c0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81260>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81300>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d813a0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81440>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d814e0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81580>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81620>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d816c0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81760>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81800>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d818a0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81940>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d819e0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81a80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81b20>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81bc0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81c60>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81d00>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81da0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81e40>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81ee0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d81f80>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82020>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d820c0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82160>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82200>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d822a0>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82340>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d823e0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82480>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82520>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d825c0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82660>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82700>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d827a0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d828e0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82840>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82980>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82a20>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82ac0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0xff62b8d82b60>)]
name: str = 'fr_HOCCN'
